package com.heckmansoft.surjey.controller.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

/**
 * Action to enable displaying the Welcome page.
 * Get list of surveys in preparation for ChooseSurvey view.
 */
public class WelcomeAction extends Action {

    Logger log = Logger.getLogger(WelcomeAction.class);

    public WelcomeAction(Object source) {
        super(source);
    }

    /**
     * @see com.heckmansoft.surjey.controller.action.Action#execute(HttpServletRequest, HttpServletResponse)
     */
    public String execute(
        HttpServletRequest request,
        HttpServletResponse response)
    throws Exception {
        log.debug("execute()");

        // Forward to view
        return "Welcome";
    }

}
